Subject: Re: [PATCH -next] qdio: add missing export.h include

From: Paul Gortmaker <[email-masked]>
Date: Wed, 28 Sep 2011 10:03:22 -0400

On 11-09-28 02:34 AM, Heiko Carstens wrote:
> On Tue, Sep 27, 2011 at 06:33:30PM -0400, Paul Gortmaker wrote:
>> On 11-09-22 03:21 AM, Heiko Carstens wrote:
>>> Fix compile breakage caused by splitting module.h:
>>>
>>> drivers/s390/cio/qdio_setup.c:31:1:
>>>  warning: data definition has no type or storage class [enabled by default]
>>> drivers/s390/cio/qdio_setup.c:31:1:
>>>  warning: type defaults to 'int' in declaration of 'EXPORT_SYMBOL_GPL' [-Wimplicit-int]
>>
>> Now that I look at this, and the other patch, I'm not
>> seeing how this is possible.  Unless there is some
>> convoluted CPP magic going on, I don't see any instances
>> of EXPORT_SYMBOL in qdio_setup.c -- similarly I don't
>> see any module_ or MODULE_ references in zfcp_qdio.c
>>
>> Am I missing something obvious here?   The line numbers
>> you quote dont match anything meaningful -- so I'm wondering
>> if perhaps these changes are meant to be in advance of the
>> s390 changes you've got queued in next -- which is fine, but
>> it would be nice to have that called out.
> 
> Oh right, I should have mentioned this. Sorry!
> he two patches fix compile breakages only in -next because of s390
> related patches in the scsi and net git trees. Since it's not possible
> to add the compile fixes (at least for the new export.h header file)
> to the scsi or net trees I just sent these patches towards you...

OK, thanks for the info.  I'll update the commit header with
a note indicating those two changes are in anticipation of
pending s390 changes.

Paul.

> Thanks,
> Heiko